%define _optlevel s
%define beta %nil

Name: ilmbase
Version: 1.0.1
Release: alt1

Group: System/Libraries
Summary: A high-dynamic-range image file library
License: Modified BSD
URL: http://www.openexr.org/

Conflicts: openexr < 1.6

Source: %name-%version%beta.tar
Patch1: ilmbase-1.0.1-alt-fix-linking.patch

BuildRequires: xorg-x11-devel gcc-c++
BuildRequires: libGLU-devel libfltk-devel
BuildRequires: libstdc++-devel zlib-devel

%description
Half is a class that encapsulates our 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.  It currently supports pthreads and
Windows threads.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/Other
Requires: %name = %version-%release
#
%description devel
This package contains the static libraries and header files needed for
developing applications with %name

%prep
%setup -q -n %name-%version
%patch1 -p1

#autoreconf
./bootstrap ||:


%build
%configure \
  --enable-shared \
  --disable-static \
  --enable-dependency-tracking \
  --enable-threading

%make_build


%install
%make DESTDIR=%buildroot install


%post
%post_ldconfig
%postun
%postun_ldconfig


%files
%doc AUTHORS ChangeLog COPYING LICENSE NEWS README
%_libdir/*.so.*


%files devel
%doc AUTHORS ChangeLog COPYING LICENSE
%_includedir/OpenEXR
%_libdir/*.so
%_libdir/pkgconfig/*


%changelog
* Fri Feb 22 2008 Sergey V Turchin <zerg at altlinux dot org> 1.0.1-alt1
- initial specfile

